CCfits: CCfits::GroupTable Class Reference

CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
CCfits::GroupTable Class Reference

Class representing a hierarchical association of Header Data Units (HDUs). More...

`#include <GroupTable.h>`

Inheritance diagram for CCfits::GroupTable:

List of all members.

## Public Member Functions
HDU * | addMember (HDU &newMember)
| Add a new member to the group table. Adds GRPIDn/GRPLCn keywords to the member HDU.
HDU * | addMember (int memberPosition)
| Add a new member to the group table. Adds GRPIDn/GRPLCn keywords to the member HDU. The member must be in the same file as the group table.
void | listMembers () const
| List group members.
## Protected Member Functions
| GroupTable (FITS *p, int groupID, const String &groupName)
| ctor for creating a new group table

## Detailed Description

Class representing a hierarchical association of Header Data Units (HDUs).

Groups of HDUs allow for the hierarchical association of HDUs. Offices may want to group together HDUs in order to organize data files. The associated HDUs need not be in the same FITS file. Group Composites are the holding structure for the group members. Composites may also be members of a group.

The specification for grouping is defined in "A Hierarchical Grouping Convention for FITS" by Jennings, Pence, Folk and Schlesinger at https://fits.gsfc.nasa.gov/registry/grouping/grouping.pdf

## Constructor & Destructor Documentation

CCfits::GroupTable::GroupTable | ( | FITS * | p,
|  | int | groupID,
|  | const String & | groupName
| ) |  | `[protected]`

ctor for creating a new group table

Parameters:

  p | The FITS file in which to place the new HDU
  groupID | ID of new group table
  groupName | Name of new group table

## Member Function Documentation

HDU * CCfits::GroupTable::addMember | ( | HDU & | newMember | ) |

Add a new member to the group table. Adds GRPIDn/GRPLCn keywords to the member HDU.

Parameters:

  newMember | Member HDU to be added

HDU * CCfits::GroupTable::addMember | ( | int | memberPosition | ) |

Add a new member to the group table. Adds GRPIDn/GRPLCn keywords to the member HDU. The member must be in the same file as the group table.

Parameters:

  memberPosition | Position of HDU to add (Primary array == 1)

The documentation for this class was generated from the following files:

- GroupTable.h
- GroupTable.cxx